org.apache.maven.shared.jar.classes

## Class JarClasses

- java.lang.Object
- - org.apache.maven.shared.jar.classes.JarClasses

    public class JarClasses
    extends Object

Gathered facts about the classes within a JAR file.

See Also:
  `JarClassesAnalysis.analyze(org.apache.maven.shared.jar.JarAnalyzer)`

### Constructor Summary

Constructors
Constructor and Description
`JarClasses()` Constructor to create an empty instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addClassName(String name)` Add a discovered class to the record.
`void` `addImports(List imports)` Add a list of discovered imports to the record.
`void` `addMethod(String name)` Add a discovered method to the record.
`void` `addPackage(String name)` Add a discovered package to the record.
`List` `getClassNames()`
`List` `getImports()`
`String` `getJdkRevision()`
`List` `getMethods()`
`List` `getPackages()`
`boolean` `isDebugPresent()`
`void` `setDebugPresent(boolean hasDebugSymbols)`
`void` `setJdkRevision(String jdkRevision)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JarClasses

    public JarClasses()

Constructor to create an empty instance.

### Method Detail

#### addClassName

    public void addClassName(String name)

Add a discovered class to the record.

Parameters:
  `name` - the name of the class

#### addPackage

    public void addPackage(String name)

Add a discovered package to the record.

Parameters:
  `name` - the name of the package

#### addMethod

    public void addMethod(String name)

Add a discovered method to the record.

Parameters:
  `name` - the name of the method

#### addImports

    public void addImports(List imports)

Add a list of discovered imports to the record.

Parameters:
  `imports` - the imports to add. Each item should be a String to avoid down the line ClassCastExceptions.

#### getImports

    public List getImports()

#### getClassNames

    public List getClassNames()

#### getPackages

    public List getPackages()

#### isDebugPresent

    public boolean isDebugPresent()

#### setDebugPresent

    public void setDebugPresent(boolean hasDebugSymbols)

#### getJdkRevision

    public String getJdkRevision()

#### setJdkRevision

    public void setJdkRevision(String jdkRevision)

#### getMethods

    public List getMethods()